SSLeay_version(3SSL)

NAME
SSLeay_version - retrieve version/build information about OpenSSL library

SYNOPSIS
 #include <openssl/crypto.h>

 const char *SSLeay_version(int type);

DESCRIPTION
SSLeay_version() returns a pointer to a constant string describing the version of the OpenSSL library or giving information about the library build.

The following type values are supported:

SSLEAY_VERSION
    The version of the OpenSSL library including the release date.

SSLEAY_CFLAGS
    The compiler flags set for the compilation process in the form "compiler: ..." if available or "compiler: information not available" otherwise.

SSLEAY_BUILT_ON
    The date of the build process in the form "built on: ..." if available or "built on: date not available" otherwise.

SSLEAY_PLATFORM
    The "Configure" target of the library build in the form "platform: ..." if available or "platform: information not available" otherwise.

SSLEAY_DIR
    The "OPENSSLDIR" setting of the library build in the form "OPENSSLDIR: "..."" if available or "OPENSSLDIR: N/A" otherwise.

RETURN VALUES
The following return values can occur:

"not available"
    An invalid value for type was given.

Pointer to constant string
    Textual description.

SEE ALSO
crypto(3)

HISTORY
SSLEAY_DIR was added in OpenSSL 0.9.7.